@echo off

if "%1" == "" (
    cmd /c %~dpfx0 %~dp0..
    goto :EOF
)

set CMAKE=C:\Program Files\CMake\bin\cmake.exe
set TESTROOT=%~dpf1%
for /f "usebackq" %%t in (`time /t`) do set TESTSTARTTIME=%%t

call :build_folder_check tb_rx65n
call :build_folder_check rl78g23_fpb
call :build_folder_check RH850F1KM_SampleProject

call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex1
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex2
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex2xx
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex3
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex4
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex4xx
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex5
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex6
call :testall_folder_check tb_rx65n renesas-rx-ccrx-toolchain-ex6xx

call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex1
call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex2
call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex3
call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex4
call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex5
call :testall_folder_check rl78g23_fpb renesas-rl78-ccrl-toolchain-ex6

call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex1
call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex2
call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex3
call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex4
call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex5
call :testall_folder_check RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex6

call :run tb_rx65n renesas-rx-ccrx-toolchain-ex1   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex2   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex2xx abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex3   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex4   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex4xx elf mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex5   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex6   abs mot
call :run tb_rx65n renesas-rx-ccrx-toolchain-ex6xx elf mot

call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex1 abs mot
call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex2 abs mot
call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex3 abs mot
call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex4 abs mot
call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex5 abs mot
call :run rl78g23_fpb renesas-rl78-ccrl-toolchain-ex6 abs mot

call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex1 abs mot
call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex2 abs mot
call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex3 abs mot
call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex4 abs mot
call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex5 abs mot
call :run RH850F1KM_SampleProject renesas-rh850-ccrh-toolchain-ex6 abs mot

:pass

for /f "usebackq" %%t in (`time /t`) do set TESTENDTIME=%%t

echo\
echo\
echo ####
echo PASS
echo ####
echo\
echo\
echo Started at %TESTSTARTTIME%, Completed at %TESTENDTIME%

exit

:fail

for /f "usebackq" %%t in (`time /t`) do set TESTENDTIME=%%t

echo\
echo\
echo ####
echo FAIL
echo ####
echo\
echo\
echo Started at %TESTSTARTTIME%, Aborted at %TESTENDTIME%

exit

:run

rem Ninja
echo\
echo\
mkdir %TESTROOT%\%1\build
set CMDLINE="%CMAKE%" --no-warn-unused-cli -DCMAKE_EXPORT_COMPILE_COMMANDS:BOOL=TRUE -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_TOOLCHAIN_FILE:FILEPATH=%TESTROOT%\%1\cmake\%2.cmake -S=%TESTROOT%\%1 -B=%TESTROOT%\%1\build -G Ninja -D_RENESAS_NIGHTLY_TEST_MSG=2
echo %CMDLINE%
%CMDLINE%
if errorlevel 1 (
    choice /t 3 /d y>nul
    move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_Ninja>nul
    goto :fail
)
set CMDLINE="%CMAKE%" --build %TESTROOT%\%1\build --config RelWithDebInfo --target all --
echo %CMDLINE%
%CMDLINE%
if errorlevel 1 (
    choice /t 3 /d y>nul
    move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_Ninja>nul
    goto :fail
)
choice /t 3 /d y>nul
move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_Ninja>nul
if not exist  %TESTROOT%\testall\build_%1_%2_Ninja\%1.%3 (
    echo\
    echo ERROR: The following file does not exist.
    echo %TESTROOT%\testall\build_%1_%2_Ninja\%1.%3
    goto :fail
)
if not exist  %TESTROOT%\testall\build_%1_%2_Ninja\%1.%4 (
    echo\
    echo ERROR: The following file does not exist.
    echo %TESTROOT%\testall\build_%1_%2_Ninja\%1.%4
    goto :fail
)
echo\
echo PASS: %1.%3 is successfully built.
echo PASS: %1.%4 is successfully built.

rem Unix Makefile
echo\
echo\
mkdir %TESTROOT%\%1\build
set CMDLINE="%CMAKE%" --no-warn-unused-cli -DCMAKE_EXPORT_COMPILE_COMMANDS:BOOL=TRUE -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_TOOLCHAIN_FILE:FILEPATH=%TESTROOT%\%1\cmake\%2.cmake -S=%TESTROOT%\%1 -B=%TESTROOT%\%1\build -G "Unix Makefiles" -D_RENESAS_NIGHTLY_TEST_MSG=2
echo %CMDLINE%
%CMDLINE%
if errorlevel 1 (
    choice /t 3 /d y>nul
    move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_UnixMakefile>nul
    goto :fail
)
set CMDLINE="%CMAKE%" --build %TESTROOT%\%1\build --config RelWithDebInfo --target all --
echo %CMDLINE%
%CMDLINE%
if errorlevel 1 (
    choice /t 3 /d y>nul
    move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_UnixMakefile>nul
    goto :fail
)
choice /t 3 /d y>nul
move %TESTROOT%\%1\build %TESTROOT%\testall\build_%1_%2_UnixMakefile>nul
if not exist  %TESTROOT%\testall\build_%1_%2_UnixMakefile\%1.%3 (
    echo\
    echo ERROR: The following file does not exist.
    echo %TESTROOT%\testall\build_%1_%2_UnixMakefile\%1.%3
    goto :fail
)
if not exist  %TESTROOT%\testall\build_%1_%2_UnixMakefile\%1.%4 (
    echo\
    echo ERROR: The following file does not exist.
    echo %TESTROOT%\testall\build_%1_%2_UnixMakefile\%1.%4
    goto :fail
)
echo\
echo PASS: %1.%3 is successfully built.
echo PASS: %1.%4 is successfully built.

goto :EOF

:build_folder_check

if exist %TESTROOT%\%1\build echo ERROR: The following folder already exists:
if exist %TESTROOT%\%1\build echo %TESTROOT%\%1\build
if exist %TESTROOT%\%1\build exit

goto :EOF

:testall_folder_check

rem Ninja
if exist %TESTROOT%\testall\build_%1_%2_Ninja echo ERROR: The following folder already exists:
if exist %TESTROOT%\testall\build_%1_%2_Ninja echo %TESTROOT%\testall\build_%1_%2_Ninja
if exist %TESTROOT%\testall\build_%1_%2_Ninja exit

rem Unix Makefile
if exist %TESTROOT%\testall\build_%1_%2_UnixMakefile echo ERROR: The following folder already exists:
if exist %TESTROOT%\testall\build_%1_%2_UnixMakefile echo %TESTROOT%\testall\build_%1_%2_UnixMakefile
if exist %TESTROOT%testall\\%1_%2_UnixMakefile exit

goto :EOF
